# == Schema Information
#
# Table name: users
#
#  id              :integer          not null, primary key
#  email           :string(255)      not null
#  password_digest :string(255)
#  session_key     :string(255)
#  activation_key  :string(255)
#  bio             :string(255)
#  created_at      :datetime
#  updated_at      :datetime
#  full_name       :string(255)
#
# Indexes
#
#  index_users_on_session_key  (session_key)
#

FactoryGirl.define do
  factory :user do
    full_name { Faker::Name.name }
    email { Faker::Internet.email }
    password '12345678'
    password_confirmation '12345678'
    bio { Faker::Lorem.paragraph(1) }
  end
end
