-- MySQL dump 10.13  Distrib 5.1.49, for debian-linux-gnu (x86_64)
--
-- Host: eik.csail.mit.edu    Database: simple_student_db_179
-- ------------------------------------------------------
-- Server version	5.5.16-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Current Database: `simple_student_db_179`
--

DROP DATABASE IF EXISTS `simple_student_db_179`;
CREATE DATABASE `simple_student_db_179`;

USE `simple_student_db_179`;

--
-- Table structure for table `course`
--

DROP TABLE IF EXISTS `course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `course` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT NULL,
  `course_number` int(11) DEFAULT NULL,
  `size_limit` int(11) DEFAULT NULL,
  `is_offered` tinyint(1) DEFAULT NULL,
  `teacher_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `course`
--

LOCK TABLES `course` WRITE;
/*!40000 ALTER TABLE `course` DISABLE KEYS */;
INSERT INTO `course` VALUES (1,'Advanced Basket Weaving',666,120,1,1);
/*!40000 ALTER TABLE `course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `prereq_course`
--

DROP TABLE IF EXISTS `prereq_course`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `prereq_course` (
  `course_id` int(11) DEFAULT NULL,
  `prereq_course_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `prereq_course`
--

LOCK TABLES `prereq_course` WRITE;
/*!40000 ALTER TABLE `prereq_course` DISABLE KEYS */;
/*!40000 ALTER TABLE `prereq_course` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `registration`
--

DROP TABLE IF EXISTS `registration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `registration` (
  `student_id` int(11) NOT NULL,
  `course_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `registration`
--

LOCK TABLES `registration` WRITE;
/*!40000 ALTER TABLE `registration` DISABLE KEYS */;
INSERT INTO `registration` VALUES (1,1),(2,1);
/*!40000 ALTER TABLE `registration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `student`
--

DROP TABLE IF EXISTS `student`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `student` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `firstname` varchar(25) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  `password` varchar(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `student`
--

LOCK TABLES `student` WRITE;
/*!40000 ALTER TABLE `student` DISABLE KEYS */;
INSERT INTO `student` VALUES (1,'joe','bob','default'),(2,'bill','smith','test');
/*!40000 ALTER TABLE `student` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teacher`
--

DROP TABLE IF EXISTS `teacher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `teacher` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `firstname` varchar(25) DEFAULT NULL,
  `lastname` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teacher`
--

LOCK TABLES `teacher` WRITE;
/*!40000 ALTER TABLE `teacher` DISABLE KEYS */;
INSERT INTO `teacher` VALUES (1,'James','Bottomstooth');
/*!40000 ALTER TABLE `teacher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Current Database: `TC_JAVA_88`
--

DROP DATABASE IF EXISTS `TC_JAVA_88`;
CREATE DATABASE `TC_JAVA_88`;

USE `TC_JAVA_88`;

--
-- Table structure for table `stonesoup`
--

DROP TABLE IF EXISTS `stonesoup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stonesoup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stonesoup`
--

LOCK TABLES `stonesoup` WRITE;
/*!40000 ALTER TABLE `stonesoup` DISABLE KEYS */;
INSERT INTO stonesoup(value) VALUES('initial');
/*!40000 ALTER TABLE `stonesoup` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2012-01-10 13:09:23

--
-- Current Database: `stonesoup-crud`
--

DROP DATABASE IF EXISTS `stonesoup-crud`;
CREATE DATABASE `stonesoup-crud`;

USE `stonesoup-crud`;

--
-- Table structure for table `stonesoup`
--

DROP TABLE IF EXISTS `stonesoup`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stonesoup` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `stonesoup`
--

LOCK TABLES `stonesoup` WRITE;
/*!40000 ALTER TABLE `stonesoup` DISABLE KEYS */;
INSERT INTO stonesoup(value) VALUES('initial');
/*!40000 ALTER TABLE `stonesoup` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

drop table if exists PendingTransactions; 
create table PendingTransactions (
	id int NOT NULL AUTO_INCREMENT,
    trans_from varchar(255),
    trans_to varchar(255),
    amount int,
    trans_date varchar(10),
    primary key (id)
);

-- insert test data
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Danny','Mark',5,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Danny','Ivan',15,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Danny','Matt',25,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Danny','Jon',35,'2012-03-22');

insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Bryan','Mark',55,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Bryan','Ivan',65,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Bryan','Matt',75,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Bryan','Jon',85,'2012-03-22');

insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Chris','Mark',15,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Chris','Ivan',45,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Chris','Matt',225,'2012-03-22');
insert into PendingTransactions (trans_from, trans_to, amount, trans_date) values ('Chris','Jon',55,'2012-03-22');

drop table if exists Contractor; 
create table Contractor (
	id int NOT NULL AUTO_INCREMENT,
    first varchar(50) DEFAULT NULL,
    last varchar(50) DEFAULT NULL,
    title varchar(50) DEFAULT NULL,
    classified boolean DEFAULT false,
    primary key (id)
);

-- insert test data
insert into Contractor (first, last, title, classified) values ('Matt', 'Bluth', 'General Contractor', false);
insert into Contractor (first, last, title, classified) values ('Jon', 'Funke', 'General Contractor', false);
