package studentmodel;

import java.util.HashSet;
import java.util.Set;

public class Course 
{
    private String id;
    private String name;
    private String limit;
    private Teacher teacher;
    private Set<Course> prereqs = new HashSet<Course>();
    private String courseNumber;
    private String offered = null;
    private String totalEnrolled;
    public Course(){
    	
    }
    
    public Course(final String id, final String name, final String limit, final String courseNumber) 
    {
        this.id = id;
        this.name = name;
        this.limit = limit;
        this.courseNumber = courseNumber;
    }

    public Course(final String name, final String limit, final String courseNumber) {
        this.name = name;
        this.limit = limit;
        this.courseNumber = courseNumber;
    }

    public String getId() 
    {
        return id;
    }

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getLimit() 
    {
        return limit;
    }

    public void setLimit(String limit)
    {
        this.limit = limit;
    }

    public String getName() 
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public Teacher getTeacher() 
    {
        return teacher;
    }

    public void setTeacher(Teacher teacher)
    {
        this.teacher = teacher;
    }

    public Set<Course> getPrereqs() 
    {
        return prereqs;
    }

    public void setPrereqs(Set<Course> prereqs) 
    {
        this.prereqs = prereqs;
    }

    public String getCourseNumber() 
    {
        return courseNumber;
    }

    public void setCourseNumber(String courseNumber) 
    {
        this.courseNumber = courseNumber;
    }

    public String isOffered() 
    {
        return offered;
    }

    public void setOffered(String offered) 
    {
        this.offered = offered;
    }

    public String getTotalEnrolled() 
    {
        return totalEnrolled;
    }

    public void setTotalEnrolled(String totalEnrolled) 
    {
        this.totalEnrolled = totalEnrolled;
    }

    public boolean isFull() 
    {
        return Integer.parseInt(getTotalEnrolled()) >= Integer.parseInt(getLimit());
    }
    @Override
    public String toString() 
    {
        final StringBuilder builder = new StringBuilder();
        builder.append("cID:"+this.getId());
        return builder.toString();
    }    
    
	public void printCourses(final Set<Course> list) 
    {
		boolean listExists = false;
        final StringBuilder builder = new StringBuilder();
        for (final Course course : list) 
        {     	
            if (Integer.parseInt(course.isOffered()) == 1) 
            {
                builder.append(course.toString());
                
                final Teacher teacher = course.getTeacher();
                if(teacher != null) 
                {
                    builder.append(" "+teacher.toString()+"\n");
                }
               /* 
                builder.append(", Seats Open ")
                        .append(course.getLimit() - course.getTotalEnrolled())
                        .append(" - prerequisites: ");
                
                for (final Course prereq : course.getPrereqs()) 
                {
                    builder.append(prereq.getId());
                }
                
                builder.append("\n");
                */
            }
            listExists = true;
        }
        if (listExists){
        	System.out.println("Courses:\n"+builder.toString());
        }
 }    
}
